<!DOCTYPE html>
<html>
<head>
    <title></title>
    <style>
        body {
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
            width: 100vw;
        }

        div {
            height: 100px;
            width: 100px;
            border-width: 1px;
            border-style: solid;
            position: absolute;
            box-shadow:0 2px 4px 0 rgba(0,0,0,0.16),0 2px 10px 0 rgba(0,0,0,0.12)!important;
            background:white;
            animation:ghum infinite 1s;

        }
        @keyframes  ghum{
            from{
                transform:rotate(0deg);
            }
            to{
                transform:rotate(180deg);
            }

        }

        .red {
            border-color: red;
            animation-delay: .1s;
        }

        .green {
            border-color: green;
            animation-delay: .15s;

        }

        .blue {
            border-color: blue;
            animation-delay: .2s;

        }
        #yellow {
            border-color: yellow;
            animation-delay: .25s;

        }
        #black {
            border-color: black;
            animation-delay: .3s;

        }
        #orange {
            border-color: orange;
            animation-delay: .35s;

        }
        #coral{
            border-color: coral;
            animation-delay: .4s;

        }
        #yellow
    </style>
</head>
<body>
<span id="box"></span>

<div id="coral"></div>
<div class="red" id="red"></div>
<div class="green" id="green"></div>
<div class="blue" id="blue"></div>
<div id="yellow"></div>
<div id="black"></div>
<div id="orange"></div>




</body>
<script>
    document.getElementById("orange").addEventListener('mousemove',function (event){
            const width=event.clientX-(window.innerWidth/2);
            const height=event.clientY-(window.innerHeight/2);

            document.getElementById("box").innerHTML= height+ " " + width;
            document.getElementById("red").style.transform= "translate("+ .5*-width+"px,"+.5*-height+"px)";
            document.getElementById("green").style.transform= "translate("+ .45*-width+"px,"+.45*-height+"px)";
            document.getElementById("blue").style.transform= "translate("+ .4*-width+"px,"+.4*-height+"px)";
            document.getElementById("yellow").style.transform= "translate("+ .3*-width+"px,"+.3*-height+"px)";
            document.getElementById("black").style.transform= "translate("+ .2*-width+"px,"+.2*-height+"px)";
            document.getElementById("orange").style.transform= "translate("+ .1*-width+"px,"+.1*-height+"px)";
            document.getElementById("coral").style.transform= "translate("+ .5*-width+"px,"+.5*-height+"px)";
    });
</script>
</html>